Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.doc.filters
[Groovy] Class ListFilter

    java.lang.Object
      org.radeox.filter.FilterSupport
          org.radeox.filter.regex.RegexFilter
              org.radeox.filter.regex.RegexTokenFilter
                  org.radeox.filter.regex.LocaleRegexTokenFilter
                      org.radeox.filter.ListFilter
                          grails.doc.filters.ListFilter

    class ListFilter
    extends org.radeox.filter.ListFilter

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary

Fields inherited from class org.radeox.filter.ListFilter
SINGLELINE, MULTILINE

Fields inherited from class org.radeox.filter.regex.LocaleRegexTokenFilter
SINGLELINE, MULTILINE

Method Summary
`void` | `handleMatch(java.lang.StringBuffer buffer, org.radeox.regex.MatchResult result, org.radeox.filter.context.FilterContext context)`

Methods inherited from class org.radeox.filter.ListFilter
org.radeox.filter.ListFilter#handleMatch(java.lang.StringBuffer, org.radeox.regex.MatchResult, org.radeox.filter.context.FilterContext), org.radeox.filter.ListFilter#setInitialContext(org.radeox.api.engine.context.InitialRenderContext), org.radeox.filter.ListFilter#setModifier(java.lang.String), org.radeox.filter.ListFilter#getModifier(), org.radeox.filter.ListFilter#filter(java.lang.String, org.radeox.filter.context.FilterContext), org.radeox.filter.ListFilter#clearRegex(), org.radeox.filter.ListFilter#addRegex(java.lang.String, java.lang.String), org.radeox.filter.ListFilter#addRegex(java.lang.String, java.lang.String, boolean), org.radeox.filter.ListFilter#before(), org.radeox.filter.ListFilter#getDescription(), org.radeox.filter.ListFilter#replaces(), org.radeox.filter.ListFilter#wait(), org.radeox.filter.ListFilter#wait(long), org.radeox.filter.ListFilter#wait(long, int), org.radeox.filter.ListFilter#equals(java.lang.Object), org.radeox.filter.ListFilter#toString(), org.radeox.filter.ListFilter#hashCode(), org.radeox.filter.ListFilter#getClass(), org.radeox.filter.ListFilter#notify(), org.radeox.filter.ListFilter#notifyAll()

Methods inherited from class org.radeox.filter.regex.LocaleRegexTokenFilter
org.radeox.filter.regex.LocaleRegexTokenFilter#setInitialContext(org.radeox.api.engine.context.InitialRenderContext), org.radeox.filter.regex.LocaleRegexTokenFilter#setModifier(java.lang.String), org.radeox.filter.regex.LocaleRegexTokenFilter#getModifier(), org.radeox.filter.regex.LocaleRegexTokenFilter#filter(java.lang.String, org.radeox.filter.context.FilterContext), org.radeox.filter.regex.LocaleRegexTokenFilter#handleMatch(java.lang.StringBuffer, org.radeox.regex.MatchResult, org.radeox.filter.context.FilterContext), org.radeox.filter.regex.LocaleRegexTokenFilter#clearRegex(), org.radeox.filter.regex.LocaleRegexTokenFilter#addRegex(java.lang.String, java.lang.String), org.radeox.filter.regex.LocaleRegexTokenFilter#addRegex(java.lang.String, java.lang.String, boolean), org.radeox.filter.regex.LocaleRegexTokenFilter#before(), org.radeox.filter.regex.LocaleRegexTokenFilter#getDescription(), org.radeox.filter.regex.LocaleRegexTokenFilter#replaces(), org.radeox.filter.regex.LocaleRegexTokenFilter#wait(), org.radeox.filter.regex.LocaleRegexTokenFilter#wait(long), org.radeox.filter.regex.LocaleRegexTokenFilter#wait(long, int), org.radeox.filter.regex.LocaleRegexTokenFilter#equals(java.lang.Object), org.radeox.filter.regex.LocaleRegexTokenFilter#toString(), org.radeox.filter.regex.LocaleRegexTokenFilter#hashCode(), org.radeox.filter.regex.LocaleRegexTokenFilter#getClass(), org.radeox.filter.regex.LocaleRegexTokenFilter#notify(), org.radeox.filter.regex.LocaleRegexTokenFilter#notifyAll()

Method Detail

### handleMatch

    void handleMatch(java.lang.StringBuffer buffer, org.radeox.regex.MatchResult result, org.radeox.filter.context.FilterContext context)

Groovy Documentation